const express = require('express');
const router = express.Router();
const bankController = require('../controllers/bankController');

router.post('/', bankController.createBank);
router.get('/', bankController.getBanks);
router.get('/live', bankController.getLiveBanks);
router.get('/bank-transfers', bankController.getTransferLogs);
router.get('/live-balances', bankController.getLiveBankBalances);
router.get('/:id', bankController.getBank);
router.put('/:id', bankController.updateBank);
router.delete('/:id', bankController.deleteBank);
router.post('/transfer', bankController.transferBetweenBanks);
router.post('/bank-transfers/:id/reverse', bankController.reverseTransfer);


module.exports = router;
